Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.fortuna.ical4j.model.ValidationException

All Implemented Interfaces:
  Serializable

    public class ValidationException

extends Exception

An exception thrown during validation.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`ValidationException()` Default constructor.
`ValidationException(String message)` Constructor with message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Default constructor.

### ValidationException

    public ValidationException(String message)

  Constructor with message.

  Parameters:
    `message` - a message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.